Page MenuHomePhabricator

[Technical debt payoff] Drop MFSpecialCaseMainPage, from MobileFrontend
Closed, ResolvedPublic

Description

Following the config change to drop MFSpecialCaseMainPage we can drop the code that special cases main pages in MobileFrontend. This will make our codebase lighter and easier to maintain, will make our product easier for editors to understand and allow us to resolve the longstanding epic T32405. While we don't drop it there is a risk that it could be enabled by production wikis.

Acceptance criteria

  • The config flag MFSpecialCaseMainPage is dropped
  • The class LegacyMainPageTransform is removed from MobileFrontend

Sign off

Event Timeline

Jdlrobson triaged this task as High priority.Jul 14 2020, 7:06 PM
Jdlrobson added a project: Technical-Debt.
Jdlrobson updated the task description. (Show Details)

Change 612652 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] WIP: Drop LegacyMainPageTransform and associated config

https://gerrit.wikimedia.org/r/612652

Jdlrobson renamed this task from Drop MFSpecialCaseMainPage, from MobileFrontend to [Technical debt payoff] Drop MFSpecialCaseMainPage, from MobileFrontend.Jul 14 2020, 7:57 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson lowered the priority of this task from High to Medium.Aug 5 2020, 8:37 PM

Change 621295 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Drop namespace special casing

https://gerrit.wikimedia.org/r/621295

Change 621295 merged by jenkins-bot:
[operations/mediawiki-config@master] [Beta Cluster] Drop mainpage special casing

https://gerrit.wikimedia.org/r/621295

Change 612652 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Drop LegacyMainPageTransform and associated config

https://gerrit.wikimedia.org/r/612652

xSavitar updated the task description. (Show Details)Aug 19 2020, 4:49 PM

@Jdlrobson, I've made a few updates. Over to the epic task now :)

Jdlrobson closed this task as Resolved.Aug 19 2020, 4:56 PM
Jdlrobson updated the task description. (Show Details)